commit:     aa56a04fa43b26188791a6f3079cdd32a934c384
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sat May  2 00:04:50 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat May  2 00:08:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa56a04f

dev-python/pylast-3.2.1: Version bump, add py37, py38

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/pylast/Manifest            |  1 +
 dev-python/pylast/pylast-3.2.1.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/pylast/Manifest b/dev-python/pylast/Manifest
index 94607bf8b73..c5904285046 100644
--- a/dev-python/pylast/Manifest
+++ b/dev-python/pylast/Manifest
@@ -1 +1,2 @@
 DIST pylast-1.9.0.tar.gz 42584 BLAKE2B 
b479fe5b780f6dbd30f20c0e183205ffe87703f26fe8ff04170c7f906705bfe737e965c2a7ebc562943c96a8f9bf7710e84999656d1ff22820254e4f4573f0e2
 SHA512 
ff3929583d88466738c9a1e964676652717c9f5bd4631f1a0a7855903e77cd394a612b0e2e8fc2f698ac84a34a135f4e940ff7760c2c88bf388ae56fc9c3da65
+DIST pylast-3.2.1.tar.gz 39763 BLAKE2B 
1162efb68b89e381528b73eb5fb1dd45a15fcf8129b59fcae824ee78f100f6ea523207cda5b689b2fe66628b0aa5db313b5fa2f504b61b3b4ef6b64ccf13ea5b
 SHA512 
e79a258e6f7c8490d98b4b737abae29cf763dcc5520f47dfe9fe7827f3163bc43ad7dc5c25edd1099cb4c4cd3483cdc5014331caba6f8c3cb29fb1394a8bfa3a

diff --git a/dev-python/pylast/pylast-3.2.1.ebuild 
b/dev-python/pylast/pylast-3.2.1.ebuild
new file mode 100644
index 00000000000..8a30a8f3bc1
--- /dev/null
+++ b/dev-python/pylast/pylast-3.2.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to last.fm and other api-compatible websites"
+HOMEPAGE="https://github.com/pylast/pylast";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+       test? ( dev-python/flaky[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # remove setuptools-scm dependency
+       sed -e 's:"setuptools_scm"::' \
+               -e "s:use_scm_version=.*:version='${PV}',:" -i setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       distutils_install_for_testing
+       pytest -vv || die "tests failed with ${EPYTHON}"
+}

Reply via email to